Name:      perl-Schedule-RateLimiter
Summary:   Prevent events from happening too quickly
Version:   0.01
Release:   2%{?dist}
License:   GPL+ or Artistic
Group:     Development/Libraries
Buildarch: noarch
URL:       http://search.cpan.org/dist/Schedule-RateLimiter/
Source:    http://search.cpan.org/CPAN/authors/id/D/DW/DWRIGHT/Schedule-RateLimiter-%{version}.tar.gz
BuildRequires:  perl
BuildRequires:  perl(Time::HiRes)
BuildRequires:  perl(strict)
BuildRequires:  perl(Test::More)
BuildRequires:  perl(warnings)
BuildRequires:  perl(ExtUtils::MakeMaker)
Requires:  perl(:MODULE_COMPAT_%(eval "`%{__perl} -V:version`"; echo $version))

%description
This module provides a way to voluntarily restrict how many times a given
action may take place within a specified time frame.  Such a tool may be useful
if you have written something which periodically polls some public resource and
want to ensure that you do not overburden that resource with too many requests.

%prep
%setup -q -n Schedule-RateLimiter-%{version}

%build
perl Makefile.PL INSTALLDIRS=vendor
make %{?_smp_mflags}

%install
make pure_install DESTDIR=$RPM_BUILD_ROOT
find $RPM_BUILD_ROOT -type f -name .packlist -exec rm -f {} \;
%{_fixperms} $RPM_BUILD_ROOT/*

%check
make test

%files
%doc Changes README
%{perl_vendorlib}/*
%{_mandir}/man3/*

%changelog
* Thu May 9 2013 Andrea Veri <averi@fedoraproject.org> - 0.01-2
- Fix Source0 to point to UpstreamName-%%{version}.
- Add the missing Build Depends.

* Mon May 6 2013 Andrea Veri <averi@fedoraproject.org> - 0.01-1
- Initial build.
